function e2a=schmidt(e2,e1)
%e2a=schmidt(e2,e1)
% Schmidt ortho-normalize e2 against e1

e3=cross(e1,e2);l3=norm(e3);
if(l3==0)
  e2a=e2;e2a(1)=e2a(1)+1;e3=cross(e1,e2a);l3=norm(e3);
  if(l3==0)
    e2a=e2;e2a(2)=e2a(2)+1;e3=cross(e1,e2a);l3=norm(e3);
  end
end
e3=e3/l3;

e2a=cross(e3,e1);
e2a=e2a/norm(e2a);
